Bug 1095142 - Tuned should use polkit instead of dbus policy
Summary: Tuned should use polkit instead of dbus policy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tuned
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1304688 (view as bug list)
Depends On:
Blocks: 1094121
TreeView+ depends on / blocked
 
Reported: 2014-05-07 08:14 UTC by Stef Walter
Modified: 2016-08-01 18:53 UTC (History)
9 users (show)

Fixed In Version: tuned-2.7.0-2.fc24 tuned-2.7.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 18:51:39 UTC


Attachments (Terms of Use)

Description Stef Walter 2014-05-07 08:14:03 UTC
Use of at_console="true" in the DBus policy file makes tuned hard to use on servers, where users are logged in via ssh, or via Cockpit, but not at a console.

at_console="true" is a real old relic, that was never really properly implemented everywhere. Modern services should be using polkit.

For example, NetworkManager moved away from it for the same reasons (want to be usable on servers): bug #979416

Version-Release number of selected component (if applicable):

tuned-0:2.3.0-2.fc20.noarch

dbus.conf:      <policy at_console="true">

Comment 1 Fedora End Of Life 2015-05-29 11:47:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 20:29:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Stef Walter 2016-01-12 15:24:41 UTC
This is still relevant and causes problems for Cockpit's use of tuned.

Comment 4 Stef Walter 2016-01-12 15:27:01 UTC
A non-root user sees this when accessing tuned. Instead, admin users in the wheel group should be prompted by polkit for confirmation of access:



    Rejected send message, 2 matched rules; type="method_call", sender=":1.14206" (uid=1000 pid=21082 comm="cockpit-bridge ") interface="com.redhat.tuned.control" member="profiles" error name="(unset)" requested_reply="0" destination="com.redhat.tuned" (uid=0 pid=680 comm="/usr/bin/python -Es /usr/sbin/tuned -l -P ")

Comment 5 Jaroslav Škarvada 2016-01-12 15:33:40 UTC
Thanks for info, I will try to address this in 2.6.1 update.

Comment 6 Jaroslav Škarvada 2016-06-10 10:07:41 UTC
Upstream commit implementing the functionality and dropping dbus at_console:
https://git.fedorahosted.org/cgit/tuned.git/commit/?id=68bb447a0f9c2a10ace4d86aa07dba41831a6873

Unfortunately I am not sure whether 2.6.1 will be ever released, maybe this will be addressed by 2.7.0 update. Nevertheless the next upstream release is planned in cca. month or so.

Comment 7 Fedora Update System 2016-07-19 14:10:35 UTC
tuned-2.7.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-327cccfbae

Comment 8 Fedora Update System 2016-07-19 14:13:22 UTC
tuned-2.7.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-122381bf6f

Comment 9 Fedora Update System 2016-07-20 01:49:00 UTC
tuned-2.7.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-122381bf6f

Comment 10 Fedora Update System 2016-07-20 01:53:05 UTC
tuned-2.7.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-327cccfbae

Comment 11 Jaroslav Škarvada 2016-07-20 13:37:27 UTC
*** Bug 1304688 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2016-07-21 15:54:18 UTC
tuned-2.7.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2b0ad383e

Comment 13 Fedora Update System 2016-07-21 15:55:06 UTC
tuned-2.7.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3acc8e3722

Comment 14 Fedora Update System 2016-07-22 19:21:49 UTC
tuned-2.7.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3acc8e3722

Comment 15 Fedora Update System 2016-07-22 19:21:52 UTC
tuned-2.7.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2b0ad383e

Comment 16 Fedora Update System 2016-07-27 18:51:24 UTC
tuned-2.7.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-08-01 18:53:13 UTC
tuned-2.7.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.